Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.option
Class FileOptionsConfiguration

    java.lang.Object
      org.apache.torque.generator.configuration.option.FileOptionsConfiguration

All Implemented Interfaces:
  OptionsConfiguration

Direct Known Subclasses:
  PropertiesOptionConfiguration, XmlOptionConfiguration

    public abstract class FileOptionsConfiguration

extends Object

An options configuration which reads options from a file. $Id: FileOptionsConfiguration.java 1331190 2012-04-27 02:41:35Z tfischer $

Constructor Summary
`FileOptionsConfiguration()`

Method Summary
`String` | `getPath()` Returns the path to the options file.
`protected Collection<Option>` | `toOptions(Map<? extends Object,? extends Object> optionsMap)` Creates options from a Map and returns them.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.torque.generator.configuration.option.OptionsConfiguration
`getOptions`

Constructor Detail

### FileOptionsConfiguration

    public FileOptionsConfiguration()

Method Detail

### getPath

    public String getPath()

  Returns the path to the options file.

  Returns:
    the path, not null if type is xml or properties.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toOptions

    protected Collection<Option> toOptions(Map<? extends Object,? extends Object> optionsMap)

  Creates options from a Map and returns them.

  Parameters:
    `optionsMap` - the map containing the option qualified names as key and the option value as value. optionsMap and the keys therein must not be null.
  Returns:
    the options, not null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.